"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const InteropService_Importer_Base = require('./InteropService_Importer_Base').default;
const Folder = require('../../models/Folder.js');
const { filename } = require('../../path-utils');
class InteropService_Importer_EnexToMd extends InteropService_Importer_Base {
    exec(result) {
        return __awaiter(this, void 0, void 0, function* () {
            const { importEnex } = require('../../import-enex');
            let folder = this.options_.destinationFolder;
            if (!folder) {
                const folderTitle = yield Folder.findUniqueItemTitle(filename(this.sourcePath_));
                folder = yield Folder.save({ title: folderTitle });
            }
            yield importEnex(folder.id, this.sourcePath_, this.options_);
            return result;
        });
    }
}
exports.default = InteropService_Importer_EnexToMd;
//# sourceMappingURL=InteropService_Importer_EnexToMd.js.map