"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const InteropService_Importer_Base = require('./InteropService_Importer_Base').default;
const InteropService_Importer_Raw = require('./InteropService_Importer_Raw').default;
const { filename } = require('../../path-utils');
const fs = require('fs-extra');
class InteropService_Importer_Jex extends InteropService_Importer_Base {
    exec(result) {
        return __awaiter(this, void 0, void 0, function* () {
            const tempDir = yield this.temporaryDirectory_(true);
            try {
                yield require('tar').extract({
                    strict: true,
                    portable: true,
                    file: this.sourcePath_,
                    cwd: tempDir,
                });
            }
            catch (error) {
                const msg = [`Cannot untar file ${this.sourcePath_}`, error.message];
                if (error.data)
                    msg.push(JSON.stringify(error.data));
                const e = new Error(msg.join(': '));
                throw e;
            }
            if (!('defaultFolderTitle' in this.options_))
                this.options_.defaultFolderTitle = filename(this.sourcePath_);
            const importer = new InteropService_Importer_Raw();
            yield importer.init(tempDir, this.options_);
            result = yield importer.exec(result);
            yield fs.remove(tempDir);
            return result;
        });
    }
}
exports.default = InteropService_Importer_Jex;
//# sourceMappingURL=InteropService_Importer_Jex.js.map