"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ViewController {
    constructor(handle, pluginId, store) {
        this.handle_ = handle;
        this.pluginId_ = pluginId;
        this.store_ = store;
    }
    get storeView() {
        return this.store_.getState().pluginService.plugins[this.pluginId_].views[this.handle];
    }
    get store() {
        return this.store_;
    }
    get pluginId() {
        return this.pluginId_;
    }
    get key() {
        return this.handle_;
    }
    get handle() {
        return this.handle_;
    }
    get type() {
        throw new Error('Must be overriden');
    }
    emitMessage(event) {
        console.info('Calling ViewController.emitMessage - but not implemented', event);
    }
}
exports.default = ViewController;
//# sourceMappingURL=ViewController.js.map