"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const validatePluginId_1 = require("./validatePluginId");
describe('validatePluginId', () => {
    test('should validate an ID', () => {
        const okCases = [
            'thatsok',
            'that-s-ok',
            'that_s_fine12',
            'com.ok.too',
            'Good',
        ];
        const errorCases = [
            '',
            'verylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongidverylongid',
            '-shouldstartwiththis',
            'shouldntendwithit.',
            ' no space ',
            'no space',
        ];
        for (const t of okCases) {
            expect(() => validatePluginId_1.default(t)).not.toThrow();
        }
        for (const t of errorCases) {
            expect(() => validatePluginId_1.default(t)).toThrow();
        }
    });
});
//# sourceMappingURL=validatePluginId.test.js.map