"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const locale_1 = require("./locale");
const Setting = require('./models/Setting').default;
const { reg } = require('./registry.js');
function versionInfo(packageInfo) {
    const p = packageInfo;
    let gitInfo = '';
    if ('git' in p) {
        gitInfo = locale_1._('Revision: %s (%s)', p.git.hash, p.git.branch);
    }
    const copyrightText = 'Copyright © 2016-YYYY Laurent Cozic';
    const now = new Date();
    const header = [
        p.description,
        '',
        copyrightText.replace('YYYY', `${now.getFullYear()}`),
    ];
    const body = [
        locale_1._('%s %s (%s, %s)', p.name, p.version, Setting.value('env'), process.platform),
        '',
        locale_1._('Client ID: %s', Setting.value('clientId')),
        locale_1._('Sync Version: %s', Setting.value('syncVersion')),
        locale_1._('Profile Version: %s', reg.db().version()),
        locale_1._('Keychain Supported: %s', Setting.value('keychain.supported') >= 1 ? locale_1._('Yes') : locale_1._('No')),
    ];
    if (gitInfo) {
        body.push(`\n${gitInfo}`);
        console.info(gitInfo);
    }
    return {
        header: header.join('\n'),
        body: body.join('\n'),
        message: header.concat(body).join('\n'),
    };
}
exports.default = versionInfo;
//# sourceMappingURL=versionInfo.js.map